#!/usr/bin/env bash

function install_homebrew()
{

  if ! which brew>/dev/null; then
    echo "Installing Homebrew"
    /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
  fi

  if ! brew tap | grep caskroom/cask ; then
    echo "Installing caskroom tap"
    brew tap caskroom/cask
  fi

}

function brew()
{
  /usr/local/bin/brew install $@
}
function cask()
{
  /usr/local/bin/brew cask install $@
}

function install_casks()
{
  cask google-chrome
  cask docker
  cask caskroom/drivers/logitech-options
}

function install_brews()
{
  #/usr/local/bin/brew update
  brew tmux
  brew git
  brew arp-scan
  brew neovim
}


function setup_kitty()
{
  # Copy kitty.app to /Applications
  #cp ${KITTY_PATH} /Applications/.
  ln -s ${DOTFILES}/kitty.conf ${HOME}/Library/Preferences/kitty/kitty.conf
}

function setup_ssh()
{
  # copy private key to .ssh
  # cp ${KEYFILE} ~/.ssh/thomas_rsa
  # chmod 400 ~/.ssh/thomas_rsa
  # ssh-add -K ~/.ssh/thomas_rsa
  ln -s ${DOTFILES}/ssh_config ${HOME}/.ssh/config
}

export DOTFILES=/Users/thomas/dotfiles
#install_brews
#install_casks
#setup_fish
#setup_ssh
#setup_wm
#setup_kitty
setup_home
